Ej1 api migration in EJ2 JavaScript Linear gauge control
7 May 202524 minutes to read
This article describes the API migration process of Accordion component from Essential® JS 1 to Essential® JS 2.
Linear gauge dimensions
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Height |
Property: height $(“#container”).ejLinearGauge({ height: 150 }); |
Property: height let gauge: LinearGauge = new LinearGauge({ height : ‘150px’ }); gauge.appendTo(‘#container’); |
| Width |
Property: width $(“#container”).ejLinearGauge({ width: 200 }); |
Property: width let gauge: LinearGauge = new LinearGauge({ width : ‘200px’ }); gauge.appendTo(‘#container’); |
| Height(In Percentage) | Not Applicable |
Property: height let gauge: LinearGauge = new LinearGauge({ height : ‘70%’ }); gauge.appendTo(‘#container’); |
| Width(In Percentage) | Not Applicable |
Property: width let gauge: LinearGauge = new LinearGauge({ width : ‘100%px’ }); gauge.appendTo(‘#container’); |
Line customizaton
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Height |
Property: scales.length $(“#container”).ejLinearGauge({ scales:[{ length: 300 }] }); |
Property: axes.line.height let gauge: LinearGauge = new LinearGauge({ axes: [{ line: { height : 150 } }] }); gauge.appendTo(‘#container’); |
| Width |
Property: scales.width $(“#container”).ejLinearGauge({ scales:[{ width: 300 }] }); |
Property: axes.line.width let gauge: LinearGauge = new LinearGauge({ axes: [{ line: { width : 2 } }] }); gauge.appendTo(‘#container’); |
| Color |
Property: scales.backgroundColor $(“#container”).ejLinearGauge({ scales:[{ backgroundColor: “blue” }] }); |
Property: axes.line.color let gauge: LinearGauge = new LinearGauge({ axes: [{ line: { color : ‘#4286f4’ } }] }); gauge.appendTo(‘#container’); |
| Offset | Not Applicable |
Property: axes.line.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ line: { offset : 2 } }] }); gauge.appendTo(‘#container’); |
| Opacity |
Property: scales.opacity $(“#container”).ejLinearGauge({ scales:[{ opacity: 0.2 }] }); |
Not Applicable |
| DashArray | Not Applicable |
Property: axes.line.dashArray let gauge: LinearGauge = new LinearGauge({ axes: [{ line: { dashArray : ‘1’ } }] }); gauge.appendTo(‘#container’); |
Ticks
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Type of Ticks |
Property: scales.ticks.type $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “majorinterval” }] }] }); |
Property: axes.majorTicks.height let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { } }] }); gauge.appendTo(‘#container’); |
| Height of Major Ticks |
Property: scales.ticks.height $(“#container”).ejLinearGauge({ scales: [{ ticks: [{ type: “majorinterval”, height: 8 }] }] }); |
Property: axes.majorTicks.height let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { height : 10 } }] }); gauge.appendTo(‘#container’); |
| Width of Major Ticks |
Property: scales.ticks.width $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “majorinterval”, width: 5 }] }] }); |
Property: axes.majorTicks.width let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { width : 2 } }] }); gauge.appendTo(‘#container’); |
| Color of Major Ticks |
Property: scales.ticks.color $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “majorinterval”, color: “Blue” }] }] }); |
Property: axes.majorTicks.color let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { color: “Blue: } }] }); gauge.appendTo(‘#container’); |
| Offset for Major Ticks |
Property: scales.ticks.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ distanceFromScale: { x: 5, y: 5 }, type: “majorinterval” }] }] }); |
Property: axes.majorTicks.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { offset : 1 } }] }); gauge.appendTo(‘#container’); |
| Interval of Major Ticks |
Property: scales.majorIntervalValue $(“#container”).ejLinearGauge({ scales: [{ majorIntervalValue: 15 }] }); |
Property: axes.majorTicks.interval let gauge: LinearGauge = new LinearGauge({ axes: [{ majorTicks: { interval : 20 } }] }); gauge.appendTo(‘#container’); |
| Angle of Major Ticks |
Property: scales.ticks.angle $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “majorinterval”, angle: 30 }] }] }); |
Not Applicable |
| Opcity of Major Ticks |
Property: scales.ticks.opacity $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “majorinterval”, opacity: 0.5 }] }] }); |
Not Applicable |
| Height of Minor Ticks |
Property: scales.ticks.height $(“#container”).ejLinearGauge({ scales: [{ ticks: [{ type: “minorinterval”, height: 8 }] }] }); |
Property: axes.minorTicks.height let gauge: LinearGauge = new LinearGauge({ axes: [{ minorTicks: { height : 10 } }] }); gauge.appendTo(‘#container’); |
| Width of Minor Ticks |
Property: scales.ticks.width $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “minorinterval”, width: 5 }] }] }); |
Property: axes.minorTicks.width let gauge: LinearGauge = new LinearGauge({ axes: [{ minorTicks: { width : 2 } }] }); gauge.appendTo(‘#container’); |
| Color of Minor Ticks |
Property: scales.ticks.color $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “minorinterval”, color: “Blue” }] }] }); |
Property: axes.minorTicks.color let gauge: LinearGauge = new LinearGauge({ axes: [{ minorTicks: { color: “Blue: } }] }); gauge.appendTo(‘#container’); |
| Offset for Minor Ticks |
Property: scales.ticks.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ distanceFromScale: { x: 5, y: 5 }, type: “minorinterval” }] }] }); |
Property: axes.minorTicks.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ minorTicks: { offset : 1 } }] }); gauge.appendTo(‘#container’); |
| Interval of Minor Ticks |
Property: scales.minorIntervalValue $(“#container”).ejLinearGauge({ scales: [{ minorIntervalValue: 8 }] }); |
Property: axes.minorTicks.interval let gauge: LinearGauge = new LinearGauge({ axes: [{ minorTicks: { interval : 5 } }] }); gauge.appendTo(‘#container’); |
| Angle of Minor Ticks |
Property: scales.ticks.angle $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “minorinterval”, angle: 30 }] }] }); |
Not Applicable |
| Opcity of Minor Ticks |
Property: scales.ticks.opacity $(“#container”).ejLinearGauge({ scales:[{ ticks: [{ type: “minorinterval”, opacity: 0.5 }] }] }); |
Not Applicable |
Labels
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Angle |
Property: scales.labels.angle $(“#container”).ejLinearGauge({ scales:[{ labels: [{ angle: 15 }] }] }); |
Not Applicable |
| Offset |
Property: scales.labels.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ labels: [{ distanceFromScale: { x: -5, y: 10 } }] }] }); |
Property: axes.labelStyle.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { offset : 3 } }] }); gauge.appendTo(‘#container’); |
| Format |
Property: scales.labels.unitText $(“#container”).ejLinearGauge({ scales:[{ labels: [{ unitText: “F” }] }] }); |
Property: axes.labelStyle.format let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { format: ‘c’ } }] }); gauge.appendTo(‘#container’); |
| Unit Text Placement |
Property: scales.labels.unitTextPlacement $(“#container”).ejLinearGauge({ scales:[{ labels: [{ unitTextPlacement: “front” }] }] }); |
Not Applicable |
| Label Range Color | Not Applicable |
Property: axes.labelStyle.useRangeColor let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { useRangeColor: true } }] }); gauge.appendTo(‘#container’); |
| Opacity |
Property: scales.labels.opacity $(“#container”).ejLinearGauge({ scales:[{ labels: [{ opacity: 0.5 }] }] }); |
Property: axes.labelStyle.font.opacity let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font: { opacity: 5 } } }] }); gauge.appendTo(‘#container’); |
| Label Text Color |
Property: scales.labels.textColor $(“#container”).ejLinearGauge({ scales:[{ labels: [{ textColor: “Red” }] }] }); |
Property: axes.labelStyle.font.color let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font:{ color: ‘red’ } } }] }); gauge.appendTo(‘#container’); |
| Label Font Family |
Property: scales.labels.font.fontFamily $(“#container”).ejLinearGauge({ scales:[{ labels: [{ font: { fontFamily: “Segoe UI” } }] }] }); |
Property: axes.labelStyle.font.fontFamily let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font:{ fontFamily: ‘Arial’ } } }] }); gauge.appendTo(‘#container’); |
| Label Font Style |
Property: scales.labels.font.fontStyle $(“#container”).ejLinearGauge({ scales:[{ labels: [{ font: { fontStyle: ej.datavisualization.LinearGauge.FontStyle.Normal } }] }] }); |
Property: axes.labelStyle.font.fontStyle let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font: { fontStyle: ‘Bold’ } } }] }); gauge.appendTo(‘#container’); |
| Label Size |
Property: scales.labels.font.size $(“#container”).ejLinearGauge({ scales:[{ labels: [{ font: { size: “20px” } }] }] }); |
Property: axes.labelStyle.font.size let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font:{ size: “15px” } } }] }); gauge.appendTo(‘#container’); |
| Label Font Weight | Not Applicable |
Property: axes.labelStyle.font.fontWeight let gauge: LinearGauge = new LinearGauge({ axes: [{ labelStyle: { font:{ fontWeight: ‘4’ } } }] }); gauge.appendTo(‘#container’); |
Axis
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Minimum Value |
Property: scales.minimum $(“#container”).ejLinearGauge({ scales: [{ minimum: 20 }] }); |
Property: axes.minimum let gauge: LinearGauge = new LinearGauge({ axes: [{ minimum: 20 }] }); gauge.appendTo(‘#container’); |
| Maximum Value |
Property: scales.maximum $(“#container”).ejLinearGauge({ scales: [{ maximum: 120 }] }); |
Property: axes.maximum let gauge: LinearGauge = new LinearGauge({ axes: [{ maximum: 120 }] }); gauge.appendTo(‘#container’); |
| Inverted Position | Not Applicable |
Property: axes.isInversed let gauge: LinearGauge = new LinearGauge({ axes: [{ isInversed: true }] }); gauge.appendTo(‘#container’); |
| Opposed Position | Not Applicable |
Property: axes.opposedPosition let gauge: LinearGauge = new LinearGauge({ axes: [{ opposedPosition: true }] }); gauge.appendTo(‘#container’); |
Ranges
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Start Value |
Property: scales.ranges.startValue $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ startValue: 20 }] }] }); |
Property: axes.ranges.start let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ start: 20 }] }] }); gauge.appendTo(‘#container’); |
| End Value |
Property: scales.ranges.endValue $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ endValue: 20 }] }] }); |
Property: axes.ranges.end let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ end: 20 }] }] }); gauge.appendTo(‘#container’); |
| Start Width |
Property: scales.ranges.startWidth $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ startWidth: 10 }] }] }); |
Property: axes.ranges.startWidth let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ startWidth: 10 }] }] }); gauge.appendTo(‘#container’); |
| End Width |
Property: scales.ranges.endWidth $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ endWidth: 15 }] }] }); |
Property: axes.ranges.endWidth let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ endWidth: 15 }] }] }); gauge.appendTo(‘#container’); |
| Color |
Property: scales.ranges.backgroundColor $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ backgroundColor: “red” }] }] }); |
Property: axes.ranges.color let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ color: “red” }] }] }); gauge.appendTo(‘#container’); |
| Offset |
Property: scales.ranges.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ distanceFromScale: 10 }] }] }); |
Property: axes.ranges.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ offset: 10 }] }] }); gauge.appendTo(‘#container’); |
| Range Position |
Property: scales.ranges.placement $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ placement: “Near” }] }] }); |
Property: axes.ranges.position let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ position: ‘Inside’ }] }] }); gauge.appendTo(‘#container’); |
| Opacity |
Property: scales.ranges.opacity $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ opacity: 0.3 }] }] }); |
Not Applicable |
| Border Customization |
Property: scales.ranges.border $(“#container”).ejLinearGauge({ scales:[{ ranges: [{ border: { color: “green”, width: 2 } }] }] }); |
Property: axes.ranges.border let gauge: LinearGauge = new LinearGauge({ axes: [{ ranges: [{ border: { color: “blue”, width: 2 } }] }] }); gauge.appendTo(‘#container’); |
Bar Pointer
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Bar Pointer |
Property: scales.barPointers.value $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 20 }] }] }); |
Property: axes.pointers.value let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20 }] }] }); gauge.appendTo(‘#container’); |
| Color of Bar Pointer |
Property: scales.barPointers.backgroundColor $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 20, backgroundColor: “red” }] }] }); |
Property: axes.pointers.color let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, color: ‘red’ }] }] }); gauge.appendTo(‘#container’); |
| Offset of Bar Pointer |
Property: scales.barPointers.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 40, distanceFromScale: 20 }] }] }); |
Property: axes.pointers.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, offset: 20 }] }] }); gauge.appendTo(‘#container’); |
| Opacity of Bar Pointer |
Property: scales.barPointers.opacity $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 40, opacity: 0.5 }] }] }); |
Property: axes.pointers.opacity let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, opacity: 0.5 }] }] }); gauge.appendTo(‘#container’); |
| Width of Bar Pointer |
Property: scales.barPointers.width $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 40, width: 25 }] }] }); |
Property: axes.pointers.width let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, width: 25 }] }] }); gauge.appendTo(‘#container’); |
| Gradients of Bar Pointer |
Property: scales.barPointers.gradients $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 40, gradients: { colorInfo:[{ colorStop : 0, color:”#FFFFFF”}] } }] }] }); |
Not Applicable |
| Border of Bar Pointer |
Property: scales.barPointers.border $(“#container”).ejLinearGauge({ scales:[{ barPointers: [{ value: 40, border: { color: “red”, width: 2 } }] }] }); |
Property: axes.pointers.border let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, border: { color: ‘red’, width: 2.5 } }] }] }); gauge.appendTo(‘#container’); |
| Animation of Bar Pointer |
Property: enableAnimation $(“#container”).ejLinearGauge({ enableAnimation: true }] }); |
Property: axes.pointers.animationDuration let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, animationDuration: 2500 }] }] }); gauge.appendTo(‘#container’); |
| Rounded Corner of Bar Pointer | Not Applicable |
Property: axes.pointers.roundedCornerRadius let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Bar’, value: 20, roundedCornerRadius: 15 }] }] }); gauge.appendTo(‘#container’); |
Marker Pointer
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Marker Pointer |
Property: scales.markerPointers.value $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 20 }] }] }); |
Property: axes.pointers.value let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20 }] }] }); gauge.appendTo(‘#container’); |
| Color of Marker Pointer |
Property: scales.markerPointers.backgroundColor $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 20, backgroundColor: “blue” }] }] }); |
Property: axes.pointers.color let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, color: ‘red’ }] }] }); gauge.appendTo(‘#container’); |
| Offset of Marker Pointer |
Property: scales.markerPointers.distanceFromScale $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, distanceFromScale: 10 }] }] }); |
Property: axes.pointers.offset let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, offset: 10 }] }] }); gauge.appendTo(‘#container’); |
| Opacity of Marker Pointer |
Property: scales.markerPointers.opacity $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, opacity: 1 }] }] }); |
Property: axes.pointers.opacity let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, opacity: 1 }] }] }); gauge.appendTo(‘#container’); |
| Width of Marker Pointer |
Property: scales.markerPointers.width $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, width: 20 }] }] }); |
Property: axes.pointers.width let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, width: 25 }] }] }); gauge.appendTo(‘#container’); |
| Gradients of Marker Pointer |
Property: scales.markerPointers.gradients $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, gradients:{colorInfo:[{colorStop : 0, color:”#FFFFFF”}]} }] }] }); |
Not Applicable |
| Border of Marker Pointer |
Property: scales.markerPointers.border $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, border: { color: “red”, width: 2 } }] }] }); |
Property: axes.pointers.border let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, border: { color: ‘red’, width: 2.5 } }] }] }); gauge.appendTo(‘#container’); |
| Animation of Marker Pointer |
Property: enableMarkerPointerAnimation $(“#container”).ejLinearGauge({ enableMarkerPointerAnimation: true }] }); |
Property: axes.pointers.animationDuration let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, animationDuration: 1000 }] }] }); gauge.appendTo(‘#container’); |
| Type of Marker Pointer |
Property: scales.markerPointers.type $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, type: ej.datavisualization.LinearGauge. MarkerType.Diamond }] }] }); |
Property: axes.pointers.markerType let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, markerType: ‘Diamond’ }] }] }); gauge.appendTo(‘#container’); |
| Placement of Marker Pointer |
Property: scales.markerPointers.placement $(“#container”).ejLinearGauge({ scales:[{ markerPointers: [{ value: 40, placement: ej.datavisualization.LinearGauge. PointerPlacement.Near }] }] }); |
Property: axes.pointers.placement let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, placement: ‘Center’ }] }] }); gauge.appendTo(‘#container’); |
| Drag of Marker Pointer |
Property: readOnly $(“#container”).ejLinearGauge({ readOnly: false } |
Property: axes.pointers.enableDrag let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, enableDrag: true }] }] }); gauge.appendTo(‘#container’); |
| Image Marker Pointer | Not Applicable |
Property: axes.pointers.imageUrl let gauge: LinearGauge = new LinearGauge({ axes: [{ pointers: [{ type: ‘Marker’, value: 20, imageUrl: ‘./image.png’ }] }] }); gauge.appendTo(‘#container’); |
Annotation
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Content |
Property: scales.customLabels.value $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge” }] }] }); |
Property: annotations.content let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation” }] }); gauge.appendTo(‘#container’); |
| Horizontal Alignment | Not Applicable |
Property: annotations.horizontalAlignment let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, horizontalAlignment: ‘Center’ }] }); gauge.appendTo(‘#container’); |
| Vertical Alignment | Not Applicable |
Property: annotations.verticalAlignment let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, verticalAlignment: ‘Far’ }] }); gauge.appendTo(‘#container’); |
| Position of X |
Property: scales.customLabels.position.x $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, position: { x: 20 } }] }] }); |
Property: annotations.x let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, x: 35 }] }); gauge.appendTo(‘#container’); |
| Position of Y |
Property: scales.customLabels.position.y $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, position: { y: 30 } }] }] }); |
Property: annotations.y let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, y: 40 }] }); gauge.appendTo(‘#container’); |
| Z Index | Not Applicable |
Property: annotations.zIndex let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, zIndex: 1 }] }); gauge.appendTo(‘#container’); |
| Axis Index | Not Applicable |
Property: annotations.axisIndex let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, axisIndex: 0 }] }); gauge.appendTo(‘#container’); |
| Axis Value | Not Applicable |
Property: annotations.axisValue let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, axisValue: 35 }] }); gauge.appendTo(‘#container’); |
| Font customization |
Property: scales.customLabels.font $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, font: { size: “30px” } }] }] }); |
Property: annotations.font let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, font: { size: ‘15px’ } }] }); gauge.appendTo(‘#container’); |
| Annotation Color |
Property: scales.customLabels.color $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, color: “yellow” }] }] }); |
Property: annotations.font let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, font: { color: ‘red’ } }] }); gauge.appendTo(‘#container’); |
| Opacity of Annotation |
Property: scales.customLabels.opacity $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, opacity: 0.5 }] }] }); |
Property: annotations.font let gauge: LinearGauge = new LinearGauge({ annotation: [{ content: “Annotation”, font: { opacity: 0.7 } }] }); gauge.appendTo(‘#container’); |
| Position Type |
Property: scales.customLabels.positionType $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, positionType: “outer” }] }] }); |
Not applicable |
| TextAngle of Annotation |
Property: scales.customLabels.textAngle $(“#container”).ejLinearGauge({ scales:[{ showCustomLabels: true, customLabels: [{ value: “LinearGauge”, textAngle: 25 }] }] }); |
Not applicable |
Tooltip
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Tooltip for Pointer | Not Applicable |
Property: tooltip.enable let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true } }); gauge.appendTo(‘#container’); |
| Tooltip for Label |
Property: tooltip.showLabelTooltip $(“#container”).ejLinearGauge({ tooltip: { showLabelTooltip: true }); |
Not Applicable |
| Tooltip Format | Not Applicable |
Property: tooltip.format let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, format: ${pointers.value}cm } }); gauge.appendTo(‘#container’); |
| Tooltip Color | Not Applicable |
Property: tooltip.fill let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, fill: ‘gray’ } }); gauge.appendTo(‘#container’); |
| Tooltip Template |
Property: tooltip.templateID $(“#container”).ejLinearGauge({ tooltip: { templateID: true }); |
Property: tooltip.template let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, template: ‘Template’ } }); gauge.appendTo(‘#container’); |
| Tooltip Animation | Not Applicable |
Property: tooltip.enableAnimation let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, enableAnimation: true } }); gauge.appendTo(‘#container’); |
| Tooltip Border | Not Applicable |
Property: tooltip.border let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, border: { width: 2, color: ‘red’ } }); gauge.appendTo(‘#container’); |
| Tooltip TextStyle | Not Applicable |
Property: tooltip.textStyle let gauge: LinearGauge = new LinearGauge({ tooltip: { enable: true, textStyle: { color: ‘white’, size: ‘10px’ } }); gauge.appendTo(‘#container’); |
Appearence of Linear Gauge
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Background Color |
Property: backgroundColor $(“#container”).ejLinearGauge({ backgroundColor: “Red” }); |
Property: background let gauge: LinearGauge = new LinearGauge({ background: ‘skyblue’ }); gauge.appendTo(‘#container’); |
| Border Color |
Property: borderColor $(“#container”).ejLinearGauge({ borderColor: “Black” }); |
Property: border.color let gauge: LinearGauge = new LinearGauge({ border: { color: ‘red’ } }); gauge.appendTo(‘#container’); |
| Margin | Not Applicable |
Property: margin let gauge: LinearGauge = new LinearGauge({ margin: { left: 40, right: 40, top: 40, bottom: 40 } }); gauge.appendTo(‘#container’); |
| Orientation |
Property: orientation $(“#container”).ejLinearGauge({ orientation: “Vertical” }); |
Property: orientation let gauge: LinearGauge = new LinearGauge({ orientation: ‘Horizontal’ }); gauge.appendTo(‘#container’); |
| Locale |
Property: locale $(“#container”).ejLinearGauge({ locale: “en-US” }); |
Property: locale let gauge: LinearGauge = new LinearGauge({ locale: ‘en-US’ }); gauge.appendTo(‘#container’); |
| Theme |
Property: theme $(“#container”).ejLinearGauge({ theme: ej.datavisualization.LinearGauge.flatdark }); |
Property: theme let gauge: LinearGauge = new LinearGauge({ theme: ‘Highcontrast’ }); gauge.appendTo(‘#container’); |
| Gauge Title | Not Applicable |
Property: title let gauge: LinearGauge = new LinearGauge({ title: ‘Linear Gauge’ }); gauge.appendTo(‘#container’); |
Gauge Container type
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Container Type |
Property: scales.type $(“#container”).ejLinearGauge({ scales: [{ type: ‘thermometer’ }] }); |
Property: container.type let gauge: LinearGauge = new LinearGauge({ container: { type: ‘Thermometer’ } }); gauge.appendTo(‘#container’); |
| Container Height | Not Applicable |
Property: container.height let gauge: LinearGauge = new LinearGauge({ container: { height: 20 } }); gauge.appendTo(‘#container’); |
| Container Width | Not Applicable |
Property: container.width let gauge: LinearGauge = new LinearGauge({ container: { width: 10 } }); gauge.appendTo(‘#container’); |
| Container Offset | Not Applicable |
Property: container.offset let gauge: LinearGauge = new LinearGauge({ container: { offset: 5 } }); gauge.appendTo(‘#container’); |
Events
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Animation Complete Event | Not Applicable |
Event: animationComplete let gauge: LinearGauge = new LinearGauge({ animationComplete: function(e: IAnimationCompleteEventArgs): void { } }); gauge.appendTo(‘#container’); |
| Annotation Render Event |
Event: drawCustomLabel $(“#container”).ejLinearGauge({ drawCustomLabel: function (args) {} }); |
Event: annotationRender let gauge: LinearGauge = new LinearGauge({ annotationRender: function(e: IAnnotationRenderEventArgs): void { } }) gauge.appendTo(‘#container’); |
| AxisLabel Render Event |
Event: drawLabels $(“#container”).ejLinearGauge({ drawLabels: function (args) {} }); |
Event: axisLabelRender let gauge: LinearGauge = new LinearGauge({ axisLabelRender: function(e: IAxisLabelRenderEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Load Event |
Event: load $(“#container”).ejLinearGauge({ load: function (args) {} }); |
Event: load let gauge: LinearGauge = new LinearGauge({ load: function(e: ILoadEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Loaded Event | Not Applicable |
Event: loaded let gauge: LinearGauge = new LinearGauge({ loaded: function(e: ILoadedEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Resize Event | Not Applicable |
Event: resized let gauge: LinearGauge = new LinearGauge({ resized: function(e: IResizeEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Tooltip Render Event | Not Applicable |
Event: tooltipRender let gauge: LinearGauge = new LinearGauge({ tooltipRender: function(e: ITooltipRenderEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Value Change Event | Not Applicable |
Event: valueChange let gauge: LinearGauge = new LinearGauge({ valueChange: function(e: IValueChangeEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Mouse Move Event |
Event: mouseClickMove $(“#container”).ejLinearGauge({ mouseClickMove: function (args) {} }); |
Event: gaugeMouseMove let gauge: LinearGauge = new LinearGauge({ gaugeMouseMove: function(e: IMouseEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Mouse Up Event |
Event: mouseClickUp $(“#container”).ejLinearGauge({ mouseClickUp: function (args) {} }); |
Event: gaugeMouseUp let gauge: LinearGauge = new LinearGauge({ gaugeMouseUp: function(e: IMouseEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Mouse Down Event | Not Applicable |
Event: gaugeMouseDown let gauge: LinearGauge = new LinearGauge({ gaugeMouseDown: function(e: IMouseEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Mouse Leave Event | Not Applicable |
Event: gaugeMouseLeave let gauge: LinearGauge = new LinearGauge({ gaugeMouseLeave: function(e: IMouseEventArgs): void { } }) gauge.appendTo(‘#container’); |
| Mouse Click Event |
Event: mouseClick $(“#container”).ejLinearGauge({ mouseClick: function (args) {} }); |
Not Applicable |
| Render Complete Event |
Event: renderComplete $(“#container”).ejLinearGauge({ renderComplete: function (args) {} }); |
Not Applicable |
| Double Click Event |
Event: doubleClick $(“#container”).ejLinearGauge({ doubleClick: function (args) {} }); |
Not Applicable |
| Right Click Event |
Event: rightClick $(“#container”).ejLinearGauge({ rightClick: function (args) {} }); |
Not Applicable |
| BarPointers Event |
Event: drawBarPointers $(“#container”).ejLinearGauge({ drawBarPointers: function (args) {} }); |
Not Applicable |
| Indicators Event |
Event: drawIndicators $(“#container”).ejLinearGauge({ drawIndicators: function (args) {} }); |
Not Applicable |
| MarkerPointer Event |
Event: drawMarkerPointers $(“#container”).ejLinearGauge({ drawMarkerPointers: function (args) {} }); |
Not Applicable |
| Ranges Event |
Event: drawRange $(“#container”).ejLinearGauge({ drawRange: function (args) {} }); |
Not Applicable |
| Gauge Initialized Event |
Event: init $(“#container”).ejLinearGauge({ init: function (args) {} }); |
Not Applicable |

Ej1 api migration in React Linear gauge component
17 Mar 202524 minutes to read
This article describes the API migration process of Accordion component from Essential® JS 1 to Essential® JS 2.
Linear gauge dimensions
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Height |
Property: heightReactDOM.render( <EJ.LinearGauge id= "gauge" height= '100px'> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: heightReactDOM.render( <LinearGaugeComponent id='gauge' height= '100px'> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width |
Property: widthReactDOM.render( <EJ.LinearGauge id= "gauge" width= '200px'> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: widthReactDOM.render( <LinearGaugeComponent id='gauge' width= '200px'> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Height(In Percentage) | Not Applicable |
Property: heightReactDOM.render( <LinearGaugeComponent id='gauge' height= '70%'> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width(In Percentage) | Not Applicable |
Property: widthReactDOM.render( <LinearGaugeComponent id='gauge' width= '80%'> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Line customization
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Height |
Property: scales.lengthvar scale = [{ length: 300 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.line.heightReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective line= {height= '150'}/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width |
Property: scales.widthvar scale = [{ width: 300 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.line.widthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective line= {width= 2}/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color |
Property: scales.backgroundColorvar scale = [{ backgroundColor: "blue" }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.line.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective line= {color= '#4286f4'}/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset | Not Applicable |
Property: axes.line.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective line= {offset= 2}/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity |
Property: scales.opacityvar scale = [{ opacity: 0.2 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| DashArray | Not Applicable |
Property: axes.line.dashArrayReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective line= {dashArray= 1}/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Ticks
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Type of Ticks |
Property: scales.ticks.typevar scale = [{ ticks: [{ type: "majorinterval" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.heightReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Height of Major Ticks |
Property: scales.ticks.heightvar scale = [{ ticks: [{ type: "majorinterval", height:8 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.heightReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { height: 10 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width of Major Ticks |
Property: scales.ticks.widthvar scale = [{ ticks: [{ type: "majorinterval", width: 5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.widthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { width: 2 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color of Major Ticks |
Property: scales.ticks.colorvar scale = [{ ticks: [{ color: "blue" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { color: "Blue" }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset for Major Ticks |
Property: scales.ticks.distanceFromScalevar scale = [{ ticks: [{ distanceFromScale: {x: 5, y: 5} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { offset: 1 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Interval of Major Ticks |
Property: scales.majorIntervalValuevar scale = [{ majorIntervalValue: 15 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.majorTicks.intervalReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective majorTicks= { interval: 20 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Angle of Major Ticks |
Property: scales.ticks.anglevar scale = [{ ticks: [{ angle: 30 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Opcity of Major Ticks |
Property: scales.ticks.opacityvar scale = [{ ticks: [{ opacity: 0.5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Height of Minor Ticks |
Property: scales.ticks.heightvar scale = [{ ticks: [{ type: "minorinterval", height:8 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minorTicks.heightReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minorTicks= { height: 10 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width of Minor Ticks |
Property: scales.ticks.widthvar scale = [{ ticks: [{ type: "minorinterval", width: 5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minorTicks.widthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minorTicks= { width: 2 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color of Minor Ticks |
Property: scales.ticks.colorvar scale = [{ ticks: [{ type: "minorinterval", color: "blue" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minorTicks.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minorTicks= { color: "Blue" }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset for Minor Ticks |
Property: scales.ticks.distanceFromScalevar scale = [{ ticks: [{ type: "minorinterval", distanceFromScale: {x: 5, y: 5} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minorTicks.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minorTicks= { offset: 1 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Interval of Minor Ticks |
Property: scales.minorIntervalValuevar scale = [{ minorIntervalValue: 8 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minorTicks.intervalReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minorTicks= { interval: 5 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Angle of Minor Ticks |
Property: scales.ticks.anglevar scale = [{ ticks: [{ type: "minorinterval", angle: 30 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Opcity of Minor Ticks |
Property: scales.ticks.opacityvar scale = [{ ticks: [{ type: "minorinterval", opacity: 0.5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
Labels
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Angle |
Property: scales.labels.anglevar scale = [{ labels: [{ angle: 15 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Offset |
Property: scales.labels.distanceFromScalevar scale = [{ labels: [{distanceFromScale:{x: -5, y: 10} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { offset: 3 }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Format |
Property: scales.labels.unitTextvar scale = [{ labels: [{ unitText: "F" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.formatReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { format: 'c' }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Unit Text Placement |
Property: scales.labels.unitTextPlacementvar scale = [{ labels: [{ unitTextPlacement: "front" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Label Range Color | Not Applicable |
Property: axes.labelStyle.useRangeColorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { useRangeColor: true }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity |
Property: scales.labels.opacity Property: scales.labels.unitTextPlacement var scale = [{ labels: [{ opacity: 0.5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.font.opacityReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: { opacity: 0.5 } }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Label Text Color |
Property: scales.labels.textColorvar scale = [{ labels: [{ textColor: "red" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.font.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: { color: "red" } }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Label Font Family |
Property: scales.labels.font.fontFamilyvar scale = [{ labels: [{font:{fontFamily:"Segoe UI"}] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.font.fontFamilyReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: {fontFamily:"Segoe UI"} }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Label Font Style |
Property: scales.labels.font.fontStylevar scale = [{ labels: [{ font:{fontStyle:"Bold"} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.font.fontStyleReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: { fontStyle: "Bold"} }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Label Size |
Property: scales.labels.font.sizevar scale = [{ labels: [{ font: { size: "20px"} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.labelStyle.font.sizeReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: { size: "15px"} }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Label Font Weight | Not Applicable |
Property: axes.labelStyle.font.fontWeightReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective labelStyle= { font: { fontWeight: '4'} }/> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Axis
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Minimum Value |
Property: scales.minimumvar scale = [{ minimum: 20 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.minimumReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective minimum= 20 /> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Maximum Value |
Property: scales.maximumvar scale = [{ maximum: 120 }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.maximumReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective maximum= 120 /> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Inverted Position | Not Applicable |
Property: axes.isInversedReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective isInversed= true /> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opposed Position | Not Applicable |
Property: axes.opposedPositionReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <AxisDirective opposedPosition= true /> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Ranges
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Start Value |
Property: scales.ranges.startValuevar scale = [{ ranges: [{ startValue: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.startReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective start={20} /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| End Value |
Property: scales.ranges.endValuevar scale = [{ ranges: [{ endValue: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.endReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective end={20} /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Start Width |
Property: scales.ranges.startWidthvar scale = [{ ranges: [{ startWidth: 10 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.startWidthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective startWidth={20} /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| End Width |
Property: scales.ranges.endWidthvar scale = [{ ranges: [{ endWidth: 15 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.endWidthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective endWidth={15} /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color |
Property: scales.ranges.backgroundColorvar scale = [{ ranges: [{ backgroundColor: "red" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective color="red" /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset |
Property: scales.rangesvar scale = [{ ranges: [{ distanceFromScale: {10} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective offset= 5 /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Range Position |
Property: scales.ranges.placementvar scale = [{ ranges: [{ placement: "Near" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.positionReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective position= "Inside" /> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity |
Property: scales.ranges.opacityvar scale = [{ ranges: [{ opacity: {0.3} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Border Customization |
Property: scales.ranges.bordervar scale = [{ ranges: [{ border: { color: 'green', width: 2} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.ranges.borderReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <RangesDirective> <RangeDirective border= {color: 'blue', width: 2}/> </RangesDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Bar Pointer
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Bar Pointer |
Property: scales.barPointers.valuevar scale = [{ barPointers: [{ value: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.valueReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar', value= {20} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color of Bar Pointer |
Property: scales.barPointers.backgroundColorvar scale = [{ barPointers: [{ value: 20, backgroundColor: "red" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar',value= {20},color= 'red' /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset of Bar Pointer |
Property: scales.barPointers.distanceFromScalevar scale = [{ barPointers: [{ distanceFromScale: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar',value= {20},offset= {20} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity of Bar Pointer |
Property: scales.barPointers.opacityvar scale = [{ barPointers: [{ value: 40, opacity: 0.5 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.opacityReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar',value= {20},opacity= {0.5} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width of Bar Pointer |
Property: scales.barPointers.widthvar scale = [{ barPointers: [{ value: 40, width: 25 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.widthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar',value= {20},width= {25} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Gradients of Bar Pointer |
Property: scales.barPointers.gradientsvar scale = [{ barPointers: [{ value: 40, gradients: { colorInfo:[{ colorStop : 0, color:"#FFFFFF"}] } }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Border of Bar Pointer |
Property: scales.barPointers.bordervar scale = [{ barPointers: [{ value: 40, border: { color: "red", width: 2 } }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.borderReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar', value= {20}, border={ color: 'red', width: 2.5 } /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Animation of Bar Pointer |
Property: enableAnimationReactDOM.render( <EJ.LinearGauge id= "gauge" enableAnimation= true> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.animationDurationReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar',value= {20}, animationDuration= {2500} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Rounded Corner of Bar Pointer | Not Applicable |
Property: axes.pointers.roundedCornerRadiusReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Bar', value= {20}, roundedCornerRadius= {15} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Marker Pointer
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Marker Pointer |
Property: scales.markerPointers.valuevar scale = [{ markerPointers: [{ value: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.valueReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Color of Marker Pointer |
Property: scales.markerPointers.backgroundColorvar scale = [{ markerPointers: [{ value: 20, backgroundColor: "blue" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.colorReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, color= 'red' /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Offset of Marker Pointer |
Property: scales.markerPointers.distanceFromScalevar scale = [{ markerPointers: [{ value: 40, distanceFromScale: 10 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.offsetReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, offset= {10} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity of Marker Pointer |
Property: scales.markerPointers.opacityvar scale = [{ markerPointers: [{ value: 40, opacity: 1 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.opacityReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, opacity= {1} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Width of Marker Pointer |
Property: scales.markerPointers.widthvar scale = [{ markerPointers: [{ value: 40, width: 20 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.widthReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, width= {25} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Gradients of Marker Pointer |
Property: scales.markerPointers.gradientsvar scale = [{markerPointers: [{ value: 40,gradients:{colorInfo:[{ colorStop : 0, color:"#FFFFFF"}] } }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Border of Bar Pointer |
Property: scales.markerPointers.bordervar scale = [{ markerPointers: [{ value: 40, border: { color: "red", width: 2 } }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.borderReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, border={ color: 'red', width: 2.5 } /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Animation of Marker Pointer |
Property: enableMarkerPointerAnimationReactDOM.render( <EJ.LinearGauge id= "gauge" enableMarkerPointerAnimation= true> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.animationDurationReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker',value= {20}, animationDuration= {2500} /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Type of Marker Pointer |
Property: scales.markerPointers.typevar scale = [{ markerPointers: [{ value: 40, type: "Diamond" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.markerTypeReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, markerType= 'Diamond' /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Placement of Marker Pointer |
Property: scales.markerPointers.placementvar scale = [{ markerPointers: [{ value: 40, placement: "near" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.placementReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, placement= "Center" /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Drag of Marker Pointer |
Property: readOnlyReactDOM.render( <EJ.LinearGauge id= "gauge" readOnly= false> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: axes.pointers.enableDragReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, enableDrag= true /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Image Marker Pointer | Not Applicable |
Property: axes.pointers.imageUrlReactDOM.render( <LinearGaugeComponent id='gauge'> <AxesDirective> <PointersDirective> <PointerDirective type= 'Marker', value= {20}, imageUrl= "image.png" /> </PointersDirective> </AxesDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
Annotation
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Content |
Property: scales.customLabels.valuevar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge' }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.contentReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= "Annotation"/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Horizontal Alignment | Not Applicable |
Property: annotations.horizontalAlignmentReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective horizontalAlignment='Center'/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Vertical Alignment | Not Applicable |
Property: annotations.verticalAlignmentReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective verticalAlignment='Far'/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Position of X |
Property: scales.customLabels.position.xvar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge',position: {x: 20} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.xReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective x={35}/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Position of Y |
Property: scales.customLabels.position.yvar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge',position: {y: 30} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.yReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective y={40}/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Z Index | Not Applicable |
Property: annotations.zIndexReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective zIndex='1'/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Axis Index | Not Applicable |
Property: annotations.axisIndexReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= 'Annotation' axisIndex='0'/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Axis Value | Not Applicable |
Property: annotations.axisValueReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= 'Annotation' axisValue='35'/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Font customization |
Property: scales.customLabels.fontvar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge', font: { size: '30px'} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.fontReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= 'Annotation' font= { size: '15px' }/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Annotation Color |
Property: scales.customLabels.colorvar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge', font: { color: 'red'} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.fontReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= 'Annotation' font= { color: 'red' }/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Opacity of Annotation |
Property: scales.customLabels.opacityvar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge', font: { opacity: 0.5} }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: annotations.fontReactDOM.render( <LinearGaugeComponent id='gauge'> <AnnotationsDirective> <AnnotationDirective content= 'Annotation' font= { opacity: 0.7 }/> </AnnotationsDirective> </LinearGaugeComponent>, document.getElementById('gauge'));
|
| Position Type |
Property: scales.customLabels.positionTypevar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge', positionType: "outer" }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not applicable |
| TextAngle of Annotation |
Property: scales.customLabels.textAnglevar scale = [{ customLabels: [{ showCustomLabels: true, value: 'LinearGauge', textAngle: 25 }] }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not applicable |
Tooltip
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Tooltip for Pointer | Not Applicable |
Property: tooltip.enableReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enable: true} /> document.getElementById('gauge'));
|
| Tooltip for Label |
Property: tooltip.showLabelTooltipvar tooltip = [{ showLabelTooltip: true }] ReactDOM.render( <EJ.LinearGauge id= "gauge" tooltip={tooltip}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Not Applicable |
| Tooltip Format | Not Applicable |
Property: tooltip.formatReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enable: true, format: '${value}'} /> document.getElementById('gauge'));
|
| Tooltip Color | Not Applicable |
Property: tooltip.fillReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enable: true, fill: 'gray'} /> document.getElementById('gauge'));
|
| Tooltip Template |
Property: tooltip.templateIDvar tooltip = [{ templateID: true }] ReactDOM.render( <EJ.LinearGauge id= "gauge" tooltip={tooltip}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: tooltip.templateReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enable: true, template: 'Template'} /> document.getElementById('gauge'));
|
| Tooltip Animation | Not Applicable |
Property: tooltip.enableAnimationReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enableAnimation: true } /> document.getElementById('gauge'));
|
| Tooltip Border | Not Applicable |
Property: tooltip.borderReactDOM.render( <LinearGaugeComponent id='gauge' tooltip= { enable: true, border: { width: 2, color: 'red' } } /> document.getElementById('gauge'));
|
| Tooltip TextStyle | Not Applicable |
Property: tooltip.textStyleReactDOM.render( <LinearGaugeComponent id='gauge'tooltip= { enable: true,textStyle: { size: '10px', color: 'white' } } />document.getElementById('gauge'));
|
Appearence of Linear Gauge
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Background Color |
Property: backgroundColorReactDOM.render( <EJ.LinearGaugeid= "gauge" backgroundColor= 'red'></EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: backgroundReactDOM.render( <LinearGaugeComponent id='gauge'background= 'blue'/>document.getElementById('gauge'));
|
| Border Color |
Property: borderColorReactDOM.render( <EJ.LinearGaugeid= "gauge" borderColor= 'Black'></EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: border.colorReactDOM.render( <LinearGaugeComponent id='gauge'border= { color: 'red' } />document.getElementById('gauge'));
|
| Margin | Not Applicable |
Property: marginReactDOM.render( <LinearGaugeComponent id='gauge' margin= { left: 40, right: 40, top: 40, bottom: 40 }/>document.getElementById('gauge'));
|
| Orientation |
Property: orientationReactDOM.render( <EJ.LinearGauge id= "gauge" orientation= 'Vertical'> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: orientationReactDOM.render( <LinearGaugeComponent id='gauge' orientation= 'Horizontal'/> document.getElementById('gauge'));
|
| Locale |
Property: localeReactDOM.render( <EJ.LinearGauge id= "gauge" locale= 'en-US'> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: localeReactDOM.render( <LinearGaugeComponent id='gauge' locale= 'en-US'/> document.getElementById('gauge'));
|
| Theme |
Property: themeReactDOM.render( <EJ.LinearGauge id= "gauge" theme= 'Highcontrast'> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: themeReactDOM.render( <LinearGaugeComponent id='gauge' theme= 'Highcontrast'/> document.getElementById('gauge'));
|
| Gauge Title | Not Applicable |
Property: titleReactDOM.render( <LinearGaugeComponent id='gauge' title= 'Linear Gauge'/> document.getElementById('gauge'));
|
Gauge Container type
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Container Type |
Property: scales.typevar scale = [{ type: 'therometer' }] ReactDOM.render( <EJ.LinearGauge id= "gauge" scales={scale}> </EJ.LinearGauge>, document.getElementById('gauge'));
|
Property: container.typeReactDOM.render( <LinearGaugeComponent id='gauge' container= { type: 'Thermometer' }/> document.getElementById('gauge'));
|
| Container Height | Not Applicable |
Property: container.heightReactDOM.render( <LinearGaugeComponent id='gauge' container= { height: 20 }/> document.getElementById('gauge'));
|
| Container Width | Not Applicable |
Property: container.widthReactDOM.render( <LinearGaugeComponent id='gauge' container= { width: 10 }/> document.getElementById('gauge'));
|
| Container Offset | Not Applicable |
Property: container.offsetReactDOM.render( <LinearGaugeComponent id='gauge' container= { offset: 5 }/> document.getElementById('gauge'));
|
Events
| Behavior | API in Essential® JS 1 | API in Essential® JS 2 |
|---|---|---|
| Animation Complete Event | Not Applicable |
Event: animationCompleteReactDOM.render( <LinearGaugeComponent id='gauge' animationComplete={this.animationComplete}/> document.getElementById('gauge')); public animationComplete(args): void { }
|
| Annotation Render Event |
Event: drawCustomLabelReactDOM.render( <EJ.LinearGauge id= "gauge" drawCustomLabel={this.drawCustomLabel}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawCustomLabel(args): void { }
|
Event: annotationRenderReactDOM.render( <LinearGaugeComponent id='gauge' annotationRender={this.annotationRender}/> document.getElementById('gauge')); public annotationRender(args): void { }
|
| AxisLabel Render Event |
Event: drawLabelsReactDOM.render( <EJ.LinearGauge id= "gauge" drawLabels={this.drawLabels}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawLabels(args): void { }
|
Event: axisLabelRenderReactDOM.render( <LinearGaugeComponent id='gauge' axisLabelRender={this.axisLabelRender}/> document.getElementById('gauge')); public axisLabelRender(args): void { }
|
| Load Event |
Event: loadReactDOM.render( <EJ.LinearGauge id= "gauge" load={this.load}> </EJ.LinearGauge>, document.getElementById('gauge'));public load(args): void { }
|
Event: loadReactDOM.render( <LinearGaugeComponent id='gauge' load={this.load}/> document.getElementById('gauge')); public load(args): void { }
|
| Loaded Event | Not Applicable |
Event: loadedReactDOM.render( <LinearGaugeComponent id='gauge' loaded={this.loaded}/> document.getElementById('gauge')); public loaded(args): void { }
|
| Resize Event | Not Applicable |
Event: resizedReactDOM.render( <LinearGaugeComponent id='gauge' resized={this.resized}/> document.getElementById('gauge')); public resized(args): void { }
|
| Tooltip Render Event | Not Applicable |
Event: tooltipRenderReactDOM.render( <LinearGaugeComponent id='gauge' tooltipRender={this.tooltipRender}/> document.getElementById('gauge')); public tooltipRender(args): void { }
|
| Value Change Event | Not Applicable |
Event: valueChangeReactDOM.render( <LinearGaugeComponent id='gauge' valueChange={this.valueChange}/> document.getElementById('gauge')); public valueChange(args): void { }
|
| Mouse Move Event |
Event: mouseClickMoveReactDOM.render( <EJ.LinearGauge id= "gauge" mouseClickMove={this.mouseClickMove}> </EJ.LinearGauge>, document.getElementById('gauge'));public mouseClickMove(args): void { }
|
Event: gaugeMouseMoveReactDOM.render( <LinearGaugeComponent id='gauge' gaugeMouseMove={this.gaugeMouseMove}/> document.getElementById('gauge')); public gaugeMouseMove(args): void { }
|
| Mouse Up Event |
Event: mouseClickUpReactDOM.render( <EJ.LinearGauge id= "gauge" mouseClickUp={this.mouseClickUp}> </EJ.LinearGauge>, document.getElementById('gauge'));public mouseClickUp(args): void { }
|
Event: gaugeMouseUpReactDOM.render( <LinearGaugeComponent id='gauge' gaugeMouseUp={this.gaugeMouseUp}/> document.getElementById('gauge')); public gaugeMouseUp(args): void { }
|
| Mouse Down Event | Not Applicable |
Event: gaugeMouseDownReactDOM.render( <LinearGaugeComponent id='gauge' gaugeMouseDown={this.gaugeMouseDown}/> document.getElementById('gauge')); public gaugeMouseDown(args): void { }
|
| Mouse Leave Event | Not Applicable |
Event: gaugeMouseLeaveReactDOM.render( <LinearGaugeComponent id='gauge' gaugeMouseLeave={this.gaugeMouseLeave}/> document.getElementById('gauge')); public gaugeMouseLeave(args): void { }
|
| Mouse Click Event |
Event: mouseClickReactDOM.render( <EJ.LinearGauge id= "gauge" mouseClick={this.mouseClick}> </EJ.LinearGauge>, document.getElementById('gauge'));public mouseClick(args): void { }
|
Not Applicable |
| Render Complete Event |
Event: renderCompleteReactDOM.render( <EJ.LinearGauge id= "gauge" renderComplete={this.renderComplete}> </EJ.LinearGauge>, document.getElementById('gauge'));public renderComplete(args): void { }
|
Not Applicable |
| Double Click Event |
Event: doubleClickReactDOM.render( <EJ.LinearGauge id= "gauge" doubleClick={this.doubleClick}> </EJ.LinearGauge>, document.getElementById('gauge'));public doubleClick(args): void { }
|
Not Applicable |
| Right Click Event |
Event: rightClickReactDOM.render( <EJ.LinearGauge id= "gauge" rightClick={this.rightClick}> </EJ.LinearGauge>, document.getElementById('gauge'));public rightClick(args): void { }
|
Not Applicable |
| BarPointers Event |
Event: drawBarPointersReactDOM.render( <EJ.LinearGauge id= "gauge" drawBarPointers={this.drawBarPointers}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawBarPointers(args): void { }
|
Not Applicable |
| Indicators Event |
Event: drawIndicatorsReactDOM.render( <EJ.LinearGauge id= "gauge" drawIndicators={this.drawIndicators}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawIndicators(args): void { }
|
Not Applicable |
| MarkerPointer Event |
Event: drawMarkerPointersReactDOM.render( <EJ.LinearGauge id= "gauge" drawMarkerPointers={this.drawMarkerPointers}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawMarkerPointers(args): void { }
|
Not Applicable |
| Ranges Event |
Event: drawRangeReactDOM.render( <EJ.LinearGauge id= "gauge" drawRange={this.drawRange}> </EJ.LinearGauge>, document.getElementById('gauge'));public drawRange(args): void { }
|
Not Applicable |
| Gauge Initialized Event |
Event: initReactDOM.render( <EJ.LinearGauge id= "gauge" init={this.init}> </EJ.LinearGauge>, document.getElementById('gauge'));public init(args): void { }
|
Not Applicable |